@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

// font-size default root = browser default = 16px --> 1rem = 16px

.InputSelect {
  position: relative;
  margin: 0 auto;
  border-radius: 0.25rem 0.25rem 0 0;

  .InputSelectHeader {
    display: flex;
    flex-direction: column;
    row-gap: 0.25rem;
    height: 3.5rem;
    padding: 0.5rem 0.5rem 0 1.2rem;
    border-bottom: 2px solid #c7c7c7;
    box-shadow: 0 2px 3px rgb(0 0 0 / 15%);

    .InputSelectHeaderLabel {
      font-size: 0.75rem;
      color: rgb(255 255 255 / 60%);
    }

    .InputSelectPlaceholder {
      display: flex;
      height: 75%;

      .SelectedItem {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        column-gap: 0.5rem;
        margin-bottom: 0.5rem;
        width: 100%;
        box-shadow: none;

        .SelectedItemPlaceholder {
          color: #fefefe;
        }

        .SelectedItemAddon {
          font-size: 0.7rem;
          font-weight: 700;
          align-self: stretch;
          width: 2rem;
        }

        .SelectedItemValue {
          font-size: 0.7rem;
          font-weight: 300;
        }

        .SelectedItemArrow {
          margin-left: auto;
          height: 1rem;
          width: 1rem;
          margin-right: 0.5rem;
          transform: translateY(-50%);
        }
      }
    }

    &:hover {
      // @todo: check with designer
      border-bottom: 2px solid #547aff;
      cursor: pointer;

      .label {
        // @todo: check with designer
        color: #547aff;
      }
    }
  }

  .InputSelectListContainer {
    position: absolute;
    width: 100%;
    height: 100%;

    &-top {
      top: 0;
    }

    &-right {
      top: 0;
      left: 100%;
    }

    &-left {
      top: 0;
      right: 100%;
    }

    .InputSelectList {
      position: relative;
      color: #fff;
      padding: 0;
      margin: 0;
      background: #333;
      box-sizing: border-box;
      border-radius: 0.25rem 0.25rem 0 0;
      z-index: 1000;

      &::-webkit-scrollbar {
        display: none;
      }

      .InputSelectItem {
        display: flex;
        align-items: center;
        list-style: none;
        width: 100%;
        background: #333;
        box-shadow: inset 0 1px 0 #000;
        height: 3.5rem;

        &:hover {
          // @todo: check with designer
          border-bottom: 2px solid #121212;
          cursor: pointer;
        }

        .InputSelectItemValue {
          margin-left: 0.5rem;
        }

        .InputSelectItemLabel {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 3rem;
          height: 3.5rem;
          font-weight: 700;
        }
      }
    }
  }
}

@include themify("InputSelect", $themes) {
  font-family: themed("font-family");
  color: themed("field-text");
  background-color: themed("field-background-editable");
  border-color: themed("field-background-editable");

  &.InputSelect {
    &-disabled,
    &-disabled:hover {
      color: themed("field-text-disabled");
      background-color: themed("field-background-disabled");
      border-color: themed("field-background-disabled");
    }
  }

  &:hover,
  &:focus-within {
    border-color: themed("field-focused");
  }
}
